Attach Slack Thread
curl --request POST \
--url https://api.tryreplicas.com/v1/slack/threads/attach \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel_id": "<string>",
"thread_ts": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.tryreplicas.com/v1/slack/threads/attach"
payload = {
"channel_id": "<string>",
"thread_ts": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel_id: '<string>',
thread_ts: '<string>',
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.tryreplicas.com/v1/slack/threads/attach', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"thread": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slack_team_id": "<string>",
"channel_id": "<string>",
"thread_ts": "<string>",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"metadata": {
"channel_id": "<string>",
"thread_ts": "<string>",
"original_message": "<string>",
"user_id": "<string>",
"channel_name": "<string>",
"message_ts": "<string>",
"user_name": "<string>",
"images": [
{}
],
"workspace_target": {
"label": "<string>"
},
"workspace": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"task_description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"coding_agent": "<string>"
}
},
"last_processed_message_ts": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"workspace": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}{
"error": "<string>",
"details": "<string>"
}Slack
Attach Slack Thread
Routes a Slack thread to a workspace. Agent-mode requests can target only their authenticated workspace; use user or API-key authentication to switch a thread to another workspace.
POST
/
v1
/
slack
/
threads
/
attach
Attach Slack Thread
Authorizations
apiKeyengineSecret & workspaceId
API key authentication. Obtain your API key from the Replicas dashboard under Organization → Settings → API Keys.
Body
application/json
⌘I